#define gtk	((GtkStyle *) gtk)
 - (oneway void) release
{
    unsigned ref_count = gtk->ref_count;

#ifdef DEBUG
    if (ref_count == 0) g_error("ref_count == 0 in " __FILE__ " (release)");
#endif
    [self unref];
    if (ref_count == 1) [self dealloc];
}

 - retain
{
    if (gtk) [self ref];
    return self;
}

 - (unsigned) retainCount
{
    return gtk->ref_count;
}
#undef gtk
